Bug 119915 - /etc/hosts file with networking leads to X problems
/etc/hosts file with networking leads to X problems
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-02 22:53 EST by Erwin J. Prinz
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 08:57:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erwin J. Prinz 2004-04-02 22:53:58 EST
Description of problem:
I have enabled networking during the FC2T2 install. I set parameters
manually, not using dhcpd.
/etc/network then becomes:

NETWORKING=yes
HOSTNAME=tiger.prinz
GATEWAY=192.168.1.1

and /etc/hosts becomes:

# Do not remove the following line, or various programs
# that require network functionality will fail.
127.0.0.1		erwin.prinz erwin localhost.localdomain localhost

After logging in, I cannot start applications such as xterm, xemacs,
etc. But, if I change the /etc/hosts file to read:

# Do not remove the following line, or various programs
# that require network functionality will fail.
127.0.0.1		localhost.localdomain localhost
192.168.1.100		tiger.prinz tiger

the problem is resolved.

Version-Release number of selected component (if applicable):
9.91-7

How reproducible:
Always

Steps to Reproduce:
1. Generate /etc/hosts file as shown above.
2. Try to run xterm from a console.
3. Wait ... wait ... wait
4. Change modified /etc/hosts file as shown above.
5. Try to run xterm.
6. It works.
    

Actual Results:  See above.

Expected Results:  This seems to be an issue between anaconda, x.org,
and maybe pam(?). One solution is to change anaconda to create an
/etc/hosts file as shown above.

Additional info:
Comment 1 Erwin J. Prinz 2004-04-04 23:05:48 EDT
From Roger Grosswiler :

Hi, 

tried to add a remark in Bugzilla, appending to bug#
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=119915

..but cannot enter. (do not get any password...)

could anyone append to this bug:

doesn't resolve problem on DHCP?

Thanks and sorry...
Roger
Comment 2 Jeremy Katz 2004-04-05 18:17:02 EDT
Do you have that IP resolving to something different in your network
configuration?
Comment 3 Erwin J. Prinz 2004-04-09 18:11:21 EDT
No, the IP resolves only to the one computer.

I have tried to reproduce the bug by installing on 2 other computers.
I found that the /etc/hosts file generated by anaconda is not the
cause of the problem, as the problem didn't occur on the other
computers despite the /etc/hosts file which looked similar to the one
on the first computer. The only difference in the install has been
that on the first computer I installed "everything" while on the other
ones I was more selective. I have since disabled numerous services
which are started from the default anaconda install and now even on
the first compouter I can change the /etc/hosts file to the one
obtained after the initial install with no problems, i.e.:

1. mv /etc/hosts /etc/hosts-orig
2. Edit /etc/hosts to contain:
127.0.0.1	localhost	localhost.localdomain	tiger	tiger.prinz
192.168.1.102	matrix	matrix.prinz
192.168.1.101	bob	bob.prinz
3. service network restart

I'll try the same procedure at the next (test3) install.
Comment 4 Jeremy Katz 2004-09-22 15:15:09 EDT
Is this better with FC2 final/FC3?
Comment 5 Jeremy Katz 2004-11-04 08:57:16 EST
Closing due to inactivity.  Please reopen this bug if you have further
information to add to the report.

Note You need to log in before you can comment on or make changes to this bug.